Page 1 of 6

Asustor Supported apps are NOT updated

PostPosted: Sat Sep 22, 2018 5:00 pm
by ShaMana
Since i've bought the device have received a number of minor updates to the OS and no more than 4 updates to apps in the store. This is for more than half an year and its unacceptable. Buying a product that loses functions slowly over such short amount of time is not worth the money. The apps that i bought it for practically don't work because of lower version of Asustor supported apps. UPDATE YOUR APPS IN THE STORE

PS: New buyers check versions of apps in the asustor store before buying and can't operate the unix based os manually.

Re: Asustor Supported apps are NOT updated

PostPosted: Thu Sep 27, 2018 2:34 pm
by Marco@ASUSTOR
ShaMana wrote:Since i've bought the device have received a number of minor updates to the OS and no more than 4 updates to apps in the store. This is for more than half an year and its unacceptable. Buying a product that loses functions slowly over such short amount of time is not worth the money. The apps that i bought it for practically don't work because of lower version of Asustor supported apps. UPDATE YOUR APPS IN THE STORE

PS: New buyers check versions of apps in the asustor store before buying and can't operate the unix based os manually.

Oh my! What apps aren't being updated for you?
Let me know and I'll try to find out some info! Thanks!

Re: Asustor Supported apps are NOT updated

PostPosted: Fri Sep 28, 2018 3:41 am
by itdaboyz
  • ffmpeg : 3.3.2.r13 on store, 4.02 available (not updated since march 2018)
  • Git : 2.16.2 on store, 2.19 available (not updated since march 2018)
  • JRE : 1.8 on store, 1.81 available (not updated since march 2016)
  • Mono : 5.8 on store, 5.14 available (not updated since july 2018)
  • Node.js : 6.9 on store, 10.11 available (not updated since november 2016)
  • Perl : 5.16.3.r14 on store, 5.28 available (not updated since october 2015)
  • PHPMyAdmin : 4.7.0.r1 on store, 4.8.3 available (not updated since april 2017)
  • Ruby : 1.9.3-p448.r3 on store, 2.5.1 available (not updated since july 2013)
  • Subversion : 1.8.0.r5 on store, 1.10.2 available (not updated since november 2016)
So, yeah... kinda outdated... :roll:

Re: Asustor Supported apps are NOT updated

PostPosted: Fri Sep 28, 2018 10:15 am
by Marco@ASUSTOR
itdaboyz wrote:
  • ffmpeg : 3.3.2.r13 on store, 4.02 available (not updated since march 2018)
  • Git : 2.16.2 on store, 2.19 available (not updated since march 2018)
  • JRE : 1.8 on store, 1.81 available (not updated since march 2016)
  • Mono : 5.8 on store, 5.14 available (not updated since july 2018)
  • Node.js : 6.9 on store, 10.11 available (not updated since november 2016)
  • Perl : 5.16.3.r14 on store, 5.28 available (not updated since october 2015)
  • PHPMyAdmin : 4.7.0.r1 on store, 4.8.3 available (not updated since april 2017)
  • Ruby : 1.9.3-p448.r3 on store, 2.5.1 available (not updated since july 2013)
  • Subversion : 1.8.0.r5 on store, 1.10.2 available (not updated since november 2016)
So, yeah... kinda outdated... :roll:

Might I ask which device you are using?

Re: Asustor Supported apps are NOT updated

PostPosted: Fri Sep 28, 2018 5:09 pm
by itdaboyz
As 302T. Might not be the same as @ShaMana

Re: Asustor Supported apps are NOT updated

PostPosted: Fri Sep 28, 2018 5:58 pm
by Marco@ASUSTOR
itdaboyz wrote:As 302T. Might not be the same as @ShaMana


Alright, I will certainly let our product manager know. Thanks for your feedback!

Re: Asustor Supported apps are NOT updated

PostPosted: Thu Oct 04, 2018 9:28 pm
by dhstsw
ShaMana and itdaboy, don't hold your breath :D

Re: Asustor Supported apps are NOT updated

PostPosted: Fri Oct 05, 2018 10:49 am
by Marco@ASUSTOR
dhstsw wrote:ShaMana and itdaboy, don't hold your breath :D

Hey hey, be nice. I can't guarantee everything for everyone but I can at least give it a try.

Re: Asustor Supported apps are NOT updated

PostPosted: Tue Oct 09, 2018 3:03 am
by Ubuntux
ADM is built on busybox and it's latest version was released the 9th September 2018 -- BusyBox 1.29.3 (stable)
ADM is running on BusyBox v1.19.3 which was released the 29th October 2011 -- BusyBox 1.19.3 (stable)

Check busybox version of your nas in SSH with this command: busybox | head -1

Just saying ....

Re: Asustor Supported apps are NOT updated

PostPosted: Thu Oct 11, 2018 11:14 pm
by dhstsw
Marco@ASUSTOR wrote:Hey hey, be nice. I can't guarantee everything for everyone but I can at least give it a try.


Marco, while i like your enthusiasm, the situation with updates is ways behind the threshold of what is acceptable (as the various posts above demonstrate).

I thrusted Asustor for his 'open' (initial) structure, but time (and it didn't take long, at all) turned the things around.

It started with the whole "XBMX->Kodi" BS (not supporting the 'old' platform, and, please, don't start to blame the Kodi community, it's ridiculous), then the whole AC3 (and so on) removal while apps (and basic system) updates are terribily slow when even made (and yes, Synology and QNap users are in a ways *better* situation).

Even some apps mantainers had enough and started to say bye bye.

If I had money to invest in a new NAS and the drives needed to migrate the datas, i would do the same.

I'd say i'd been "nice" enough those years and maybe (maybe) Asustor, could, at least, afford to cash in some well deserved disthrust.

Just my 2 cents.